httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Geoffrey Young <ge...@modperlcookbook.org>
Subject Re: 2.1.0-rc1 tarballs up for testing
Date Thu, 02 Sep 2004 16:24:11 GMT

> Note that the 2.1 tarball does _not_ come prepackaged with APR, you will
> have to get the 1.0 version of apr and apr-util seperately at:
> 
>   http://apr.apache.org/download.cgi

I certainly understand the reason for this.  however, I can't find any
documentation in the RC that notes the separation or gives useful APR
information - 2.0 was compile and go, while shipping 2.1 without APR is not.

so, will there be some information added to the 2.1.0 release that will make
this transition easier for end users?  I guess I would want to see some
notes that APR 1.0 is a prerequisite, and perhaps a pointer to the
appropriate flags in the synopsys.  perhaps something akin to the attached
INSTALL notes - I say something akin because just specifying
--with-apr=/foo/apr-1-config and --with-apu=/foo/apu-1-config isn't
sufficient for me to get it to compile (the config process is somehow
picking up an old /usr/include/apr-0 for me, despite my pointing to
ap(r|u)-1-config files in a fully-functional HEAD install).

also, it might be nice for configure (or some earlier step) to determine
that the required APR foo wasn't found and balk at that step.  or wherever
makes sense to those more familiar with the build system than I am.  at the
moment, since I don't have apr binaries in my path the first I discover
there is something wrong is during make.

just my $0.02.

--Geoff

Mime
View raw message